/*CSS DISPLAY PROPERTY

	display : block;
		-changes the element into block element
		-takes up the full width of the browser.
		Example: p, h1-h6, div, ul/ol & li
	
	display : inline;
		-changes the element into block element
		-takes only the space needed 
		Example: span, button, label, input

	display : inline-block;
		-it is a combination of the two elements.
		-act as inline element, but still have the property of a block element.

	display : none;

*/
#div-1{
	background-color: green;
	display: inline;
	height: 200px;
	width: 200px;
}
#span-1{
	background-color: purple;
	display: none;
	height: 200px;
	width: 200px;
}
#span-2{
	background-color: red;
	display: block;
}
#div-2{
	background-color: hotpink;
	display: none;
}
#img{
	width: 250px;
	height: 250px;
	display: inline-block;
}
/*CSS BACKGROUND PROPERTY (color values)
		#hexcodevalue
			-hexadecimal color os specified with:
				-#RRGGBB (Red,Gree,Blue)
				-Between 00 and FF (0-9, A-F)

		rgb or rbga(alpha) value
			-values inside the parethesis is between 0-255 (percentage values 0%-100%)
				-alpha sets the opacity of a color set (0.0 to 1.0)
		color name values
			-composed of 140, commonly used for changing color in an element.

*/
#p-1{
	background-color: #87CEFA; /*hex*/

}
#p-2{
	background-color: rgba(255, 105, 180, .5);
	width: 60%;
}
#p-3{
	background-color: yellow;
	width: 40%;
}
.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}
/*CSS FLOAT PROPERTY
	-none: element will not float
	-right: element will float to right of it's container
	-left: element will float to left of it's container
	-inherit: inherit float values of parent
*/
.img-float{
	width: 250px;
	height: 250px;
	float:	none;
}
/*
	CSS UNITS
		pixels(px)
			-is relative to the viewscreen(based on the screen resolution)
			-screen with higher resolution will contain more pixels.
		percentage(%)
			-is relative to parent element
			-the height and width is relative to it's parent container.

		viewportunits(vh-height, vw-width)
			-relative to the viewport/browser window size
		em
			-relative to the parent element
			-equal pixel size is equivalent to em * parent set size
		rem
			-relative with the root element(HTML tag)
			-equal to px size = em * root size

*/
.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
	padding: 5px;
}
.fifty-percent{
	width: 50%;
}
.one-hundred-pixels{
	width: 100px;
}
.parent{
	width: 250px;
	border: 2px solid navy;
	font-size: 30px;
}
.fifty-vw{
	width: 50vw;
}
.twenty-five-vh{
	height: 25vh;
}
.one-rem{
/*	1rem = 16px  */
	font-size: 1rem;
}
.one-em{
	font-size: 1em;
}
.two-rem{
	font-size: 2rem;
}
.two-em{
	font-size: 2em;
}
.two-hundred-percent{
	font-size: 200%;
}
/*
	Background property
		- background-color;
		- background-imag:url(URI);
		- background-repeat: 
		- background-size; (auto|cover|contain|unit values)
		- background-position;(x and y axis)
			values: top center bottom (y-axis) & left center right (x-axis)| unit values.
		- background-attachment; sets whether a background image scrolls with the rest of the page;
*/
.background{
	min-height: 20rem;
/*	background-color: gray;*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: center top; 
	background-attachment: fixed;
}
.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}
.container-bg{
	background-color: rgba(0, 0, 0, .5);
	min-height: 100vh;
}

/* 
	CSS Position Property


 */
.parent-element {
    background-color: skyblue;
    padding: 10px;
}
.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
}

.child-three {
    background-color: gray;
    padding: 10px;
}